Index: /branches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Settings.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Settings.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Settings.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_OwnersStore_Settings extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_OwnersStore_Settings extends LC_Page_Admin_Ex {
 
     /** SC_FormParamのインスタンス */
@@ -52,6 +51,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
 
@@ -69,6 +67,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -80,6 +77,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
         switch ($this->getMode()) {
             // 入力内容をDBへ登録する
@@ -98,6 +94,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -110,6 +105,5 @@
      * @return void
      */
-    function execRegisterMode()
-    {
+    function execRegisterMode() {
         // パラメーターオブジェクトの初期化
         $this->initRegisterMode();
@@ -140,6 +134,5 @@
      * @return void
      */
-    function initRegisterMode()
-    {
+    function initRegisterMode() {
         // 前後の空白を削除
         if (isset($_POST['public_key'])) {
@@ -160,6 +153,5 @@
      * @return array エラー情報を格納した連想配列
      */
-    function validateRegistermode()
-    {
+    function validateRegistermode() {
         return $this->objForm->checkError();
     }
@@ -172,6 +164,5 @@
      * @return void
      */
-    function execDefaultMode()
-    {
+    function execDefaultMode() {
         $this->arrForm = $this->getOwnersStoreSettings();
     }
@@ -183,6 +174,5 @@
      * @return void
      */
-    function registerOwnersStoreSettings($arrSettingsData)
-    {
+    function registerOwnersStoreSettings($arrSettingsData) {
         $table = 'dtb_ownersstore_settings';
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -202,6 +192,5 @@
      * @return array
      */
-    function getOwnersStoreSettings()
-    {
+    function getOwnersStoreSettings() {
         $table   = 'dtb_ownersstore_settings';
         $colmuns = '*';
Index: /branches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Log.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Log.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Log.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_OwnersStore_Log extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_OwnersStore_Log extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
 
@@ -59,6 +57,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -70,6 +67,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
         switch ($this->getMode()) {
             case 'detail':
@@ -95,11 +91,9 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
 
-    function getLogs()
-    {
+    function getLogs() {
         $sql =<<<END
 SELECT
@@ -120,6 +114,5 @@
     }
 
-    function initParam()
-    {
+    function initParam() {
         $objForm = new SC_FormParam_Ex();
         $objForm->addParam('log_id', 'log_id', INT_LEN, '', array('EXIST_CHECK', 'NUM_CHECK', 'MAX_LENGTH_CHECK'));
@@ -128,6 +121,5 @@
     }
 
-    function getLogDetail($log_id)
-    {
+    function getLogDetail($log_id) {
             $sql =<<<END
 SELECT
Index: /branches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Module.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Module.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Module.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_OwnersStore_Module extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_OwnersStore_Module extends LC_Page_Admin_Ex {
 
     var $tpl_subno = 'index';
@@ -44,6 +43,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
 
@@ -60,6 +58,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -71,6 +68,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
         // nothing.
     }
@@ -81,6 +77,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
Index: /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Pdf.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Pdf.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Pdf.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Order_Pdf extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Order_Pdf extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'order/pdf_input.tpl';
@@ -67,6 +65,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -78,6 +75,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objDb = new SC_Helper_DB_Ex();
@@ -120,6 +116,5 @@
      * PDF作成フォームのデフォルト値の生成
      */
-    function createFromValues($order_id,$pdf_order_id)
-    {
+    function createFromValues($order_id,$pdf_order_id) {
         // ここが$arrFormの初登場ということを明示するため宣言する。
         $arrForm = array();
@@ -155,6 +150,5 @@
      * @param SC_FormParam $objFormParam
      */
-    function createPdf(&$objFormParam)
-    {
+    function createPdf(&$objFormParam) {
 
         $arrErr = $this->lfCheckError($objFormParam);
@@ -182,6 +176,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -191,6 +184,5 @@
      *  @param SC_FormParam
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('注文番号', 'order_id', INT_LEN, 'n', array('EXIST_CHECK', 'MAX_LENGTH_CHECK', 'NUM_CHECK'));
         $objFormParam->addParam('注文番号', 'pdf_order_id', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
@@ -215,10 +207,8 @@
      */
 
-    function lfCheckError(&$objFormParam)
-    {
+    function lfCheckError(&$objFormParam) {
         // 入力データを渡す。
-        $arrParams = $objFormParam->getHashArray();
+        $arrRet = $objFormParam->getHashArray();
         $arrErr = $objFormParam->checkError();
-        $objError = new SC_CheckError_Ex($arrParams);
 
         $year = $objFormParam->getValue('year');
@@ -242,8 +232,5 @@
             $arrErr['day'] = '発行日は1〜31の間で入力してください。';
         }
-        
-        $objError->doFunc(array('発行日', 'year', 'month', 'day'), array('CHECK_DATE'));
-        $arrErr = array_merge($arrErr, $objError->arrErr);
-        
+
         return $arrErr;
     }
Index: /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Multiple.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Multiple.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Multiple.php	(revision 22796)
@@ -33,6 +33,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Order_Multiple extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Order_Multiple extends LC_Page_Admin_Ex {
 
     // }}}
@@ -44,6 +43,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'order/multiple.tpl';
@@ -59,6 +57,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -70,6 +67,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $this->setTemplate($this->tpl_mainpage);
@@ -82,6 +78,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
Index: /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_MailView.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_MailView.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_MailView.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Order_MailView extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Order_MailView extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'order/mail_view.tpl';
@@ -56,6 +54,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -67,6 +64,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $send_id = $_GET['send_id'];
@@ -85,6 +81,5 @@
      * @param int $send_id
      */
-    function getMailHistory($send_id)
-    {
+    function getMailHistory($send_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $col = 'subject, mail_body';
@@ -99,6 +94,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
Index: /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Disp.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Disp.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Disp.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id: LC_Page_Admin_Order_Disp.php 20767 2011-03-22 10:07:32Z nanasess $
  */
-class LC_Page_Admin_Order_Disp extends LC_Page_Admin_Order_Ex 
-{
+class LC_Page_Admin_Order_Disp extends LC_Page_Admin_Order_Ex {
 
     var $arrShippingKeys = array(
@@ -76,6 +75,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'order/disp.tpl';
@@ -91,8 +89,8 @@
 
         // 支払い方法の取得
-        $this->arrPayment = SC_Helper_Payment_Ex::getIDValueList();
+        $this->arrPayment = SC_Helper_DB_Ex::sfGetIDValueList('dtb_payment', 'payment_id', 'payment_method');
 
         // 配送業者の取得
-        $this->arrDeliv = SC_Helper_Delivery_Ex::getIDValueList();
+        $this->arrDeliv = SC_Helper_DB_Ex::sfGetIDValueList('dtb_deliv', 'deliv_id', 'name');
     }
 
@@ -102,6 +100,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -113,6 +110,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objPurchase = new SC_Helper_Purchase_Ex();
@@ -130,5 +126,5 @@
         $this->arrForm = $objFormParam->getFormParamList();
         $this->arrAllShipping = $objFormParam->getSwapArray(array_merge($this->arrShippingKeys, $this->arrShipmentItemKeys));
-        $this->arrDelivTime = SC_Helper_Delivery_Ex::getDelivTime($objFormParam->getValue('deliv_id'));
+        $this->arrDelivTime = $objPurchase->getDelivTime($objFormParam->getValue('deliv_id'));
         $this->arrInfo = SC_Helper_DB_Ex::sfGetBasisData();
 
@@ -141,6 +137,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -152,6 +147,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         // 検索条件のパラメータを初期化
         parent::lfInitParam($objFormParam);
@@ -200,6 +194,4 @@
         $objFormParam->addParam('メモ', 'note', MTEXT_LEN, 'KVa', array('MAX_LENGTH_CHECK'));
         $objFormParam->addParam('削除用項番', 'delete_no', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam('消費税率', 'tax_rate');
-        $objFormParam->addParam('課税規則', 'tax_rule');
 
         // DB読込用
@@ -265,6 +257,5 @@
      * @return void
      */
-    function setOrderToFormParam(&$objFormParam, $order_id)
-    {
+    function setOrderToFormParam(&$objFormParam, $order_id) {
         $objPurchase = new SC_Helper_Purchase_Ex();
 
Index: /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Order extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Order extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'order/index.tpl';
@@ -73,5 +71,5 @@
 
         // 支払い方法の取得
-        $this->arrPayments = SC_Helper_Payment_Ex::getIDValueList();
+        $this->arrPayments = SC_Helper_DB_Ex::sfGetIDValueList('dtb_payment', 'payment_id', 'payment_method');
 
         $this->httpCacheControl('nocache');
@@ -83,6 +81,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -94,6 +91,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objFormParam = new SC_FormParam_Ex();
@@ -103,11 +99,9 @@
         $this->arrForm = $objFormParam->getFormParamList();
 
-        $objPurchase = new SC_Helper_Purchase_Ex();
-
         switch ($this->getMode()) {
             // 削除
             case 'delete':
-                $order_id = $objFormParam->getValue('order_id');
-                $objPurchase->cancelOrder($order_id, ORDER_CANCEL, true);
+                $this->doDelete('order_id = ?',
+                                array($objFormParam->getValue('order_id')));
                 // 削除後に検索結果を表示するため breakしない
 
@@ -148,10 +142,5 @@
                         // 全件削除(ADMIN_MODE)
                         case 'delete_all':
-                            $page_max = 0;
-                            $arrResults = $this->findOrders($where, $arrWhereVal,
-                                                           $page_max, 0, $order);
-                            foreach ($arrResults as $element) {
-                                $objPurchase->cancelOrder($element['order_id'], ORDER_CANCEL, true);
-                            }
+                            $this->doDelete($where, $arrWhereVal);
                             break;
 
@@ -186,6 +175,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -197,6 +185,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('注文番号1', 'search_order_id1', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
         $objFormParam->addParam('注文番号2', 'search_order_id2', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
@@ -245,6 +232,5 @@
      * @return void
      */
-    function lfCheckError(&$objFormParam)
-    {
+    function lfCheckError(&$objFormParam) {
         $objErr = new SC_CheckError_Ex($objFormParam->getHashArray());
         $objErr->arrErr = $objFormParam->checkError();
@@ -284,6 +270,5 @@
      * @return void
      */
-    function buildQuery($key, &$where, &$arrValues, &$objFormParam)
-    {
+    function buildQuery($key, &$where, &$arrValues, &$objFormParam) {
         $dbFactory = SC_DB_DBFactory_Ex::getInstance();
         switch ($key) {
@@ -295,9 +280,9 @@
             case 'search_order_name':
                 $where .= ' AND ' . $dbFactory->concatColumn(array('order_name01', 'order_name02')) . ' LIKE ?';
-                $arrValues[] = sprintf('%%%s%%', preg_replace('/[ 　]/u', '', $objFormParam->getValue($key)));
+                $arrValues[] = sprintf('%%%s%%', $objFormParam->getValue($key));
                 break;
             case 'search_order_kana':
                 $where .= ' AND ' . $dbFactory->concatColumn(array('order_kana01', 'order_kana02')) . ' LIKE ?';
-                $arrValues[] = sprintf('%%%s%%', preg_replace('/[ 　]/u', '', $objFormParam->getValue($key)));
+                $arrValues[] = sprintf('%%%s%%', $objFormParam->getValue($key));
                 break;
             case 'search_order_id1':
@@ -419,6 +404,5 @@
      * @return void
      */
-    function doDelete($where, $arrParam = array())
-    {
+    function doDelete($where, $arrParam = array()) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $sqlval['del_flg']     = 1;
@@ -438,6 +422,5 @@
      * @return void
      */
-    function doOutputCSV($where, $arrVal, $order)
-    {
+    function doOutputCSV($where, $arrVal, $order) {
         if ($where != '') {
             $where = " WHERE $where ";
@@ -455,6 +438,5 @@
      * @return integer 検索結果の行数
      */
-    function getNumberOfLines($where, $arrValues)
-    {
+    function getNumberOfLines($where, $arrValues) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         return $objQuery->count('dtb_order', $where, $arrValues);
@@ -471,10 +453,7 @@
      * @return array 受注の検索結果
      */
-    function findOrders($where, $arrValues, $limit, $offset, $order)
-    {
+    function findOrders($where, $arrValues, $limit, $offset, $order) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
-        if ($limit != 0) {
-            $objQuery->setLimitOffset($limit, $offset);
-        }
+        $objQuery->setLimitOffset($limit, $offset);
         $objQuery->setOrder($order);
         return $objQuery->select('*', 'dtb_order', $where, $arrValues);
Index: /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_ProductSelect.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_ProductSelect.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_ProductSelect.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Order_ProductSelect extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Order_ProductSelect extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'order/product_select.tpl';
@@ -61,6 +59,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -72,6 +69,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objDb = new SC_Helper_DB_Ex();
@@ -82,5 +78,4 @@
 
         $this->tpl_no = $this->getNo(array($_GET,$_POST));
-        $this->shipping_id = $this->getShippingId(array($_GET,$_POST));
 
         switch ($this->getMode()) {
@@ -106,6 +101,5 @@
                 $this->tpl_javascript .= $this->getTplJavascript($objProduct);
                 $js_fnOnLoad = $this->getFnOnload($this->arrProducts);
-                $this->tpl_javascript .= 'function fnOnLoad()
-                {' . $js_fnOnLoad . '}';
+                $this->tpl_javascript .= 'function fnOnLoad(){' . $js_fnOnLoad . '}';
                 $this->tpl_onload .= 'fnOnLoad();';
                 // 規格1クラス名
@@ -138,6 +132,5 @@
      * @param SC_Product $objProduct
      */
-    function getProductList($arrProductId, &$objProduct)
-    {
+    function getProductList($arrProductId, &$objProduct) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -153,6 +146,5 @@
      * @param array $arrProducts
      */
-    function getFnOnload($arrProducts)
-    {
+    function getFnOnload($arrProducts) {
         foreach ($arrProducts as $arrProduct) {
             $js_fnOnLoad .= "fnSetClassCategories(document.product_form{$arrProduct['product_id']});";
@@ -165,6 +157,5 @@
      * @param SC_Product $objProduct
      */
-    function getTplJavascript(&$objProduct)
-    {
+    function getTplJavascript(&$objProduct) {
         return 'productsClassCategories = ' . SC_Utils_Ex::jsonEncode($objProduct->classCategories) . '; ';
     }
@@ -175,6 +166,5 @@
      * @param SC_Product $objProduct
      */
-    function getProducts($whereAndBind,&$objProduct, $page_max, $startno)
-    {
+    function getProducts($whereAndBind,&$objProduct, $page_max, $startno) {
         $where = $whereAndBind['where'];
         $bind = $whereAndBind['bind'];
@@ -196,6 +186,5 @@
      * @param SC_Product $objProduct
      */
-    function getLineCount($whereAndBind,&$objProduct)
-    {
+    function getLineCount($whereAndBind,&$objProduct) {
         $where = $whereAndBind['where'];
         $bind = $whereAndBind['bind'];
@@ -213,6 +202,5 @@
      * @param SC_FormParam $objFormParam
      */
-    function createWhere(&$objFormParam,&$objDb)
-    {
+    function createWhere(&$objFormParam,&$objDb) {
         $arrForm = $objFormParam->getHashArray();
         $where = 'alldtl.del_flg = 0';
@@ -254,6 +242,5 @@
      * @param unknown_type $globalParams
      */
-    function getNo($globalParams)
-    {
+    function getNo($globalParams) {
         foreach ($globalParams as $params) {
             if (isset($params['no']) && $params['no']!= '') {
@@ -265,25 +252,9 @@
 
     /**
-     * リクエストパラメーター shipping_id を取ってくる。
-     * @param unknown_type $globalParams
-     */
-    function getShippingId($globalParams)
-    {
-        foreach ($globalParams as $params) {
-            if (isset($params['shipping_id']) && $params['shipping_id']!= '') {
-                return intval($params['shipping_id']);
-            }
-        }
-        return null;
-    }
-
-
-    /**
      * 取得している並び順で並び替え
      * @param $arrProduct_id
      * @param $productList
      */
-    function sortProducts($arrProduct_id,$productList)
-    {
+    function sortProducts($arrProduct_id,$productList) {
         $products  = array();
         foreach ($productList as $item) {
@@ -301,6 +272,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -310,6 +280,5 @@
      * @param SC_FormParam $objFormParam
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('オーダーID', 'order_id', INT_LEN, 'n', array('EXIST_CHECK', 'MAX_LENGTH_CHECK', 'NUM_CHECK'));
         $objFormParam->addParam('商品名', 'search_name', STEXT_LEN, 'KVa', array('MAX_LENGTH_CHECK'));
@@ -317,5 +286,4 @@
         $objFormParam->addParam('商品コード', 'search_product_code', LTEXT_LEN, 'KVa', array('MAX_LENGTH_CHECK', 'SPTAB_CHECK'));
         $objFormParam->addParam('フッター', 'footer', LTEXT_LEN, 'KVa', array('MAX_LENGTH_CHECK', 'SPTAB_CHECK'));
-        $objFormParam->addParam('届け先ID', 'shipping_id', LTEXT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
     }
 }
Index: /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Mail.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Mail.php	(revision 22584)
+++ /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Mail.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Order_Mail extends LC_Page_Admin_Order_Ex 
-{
+class LC_Page_Admin_Order_Mail extends LC_Page_Admin_Order_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'order/mail.tpl';
@@ -62,6 +60,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -73,6 +70,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
         $post = $_POST;
         //一括送信用の処理
@@ -157,6 +153,5 @@
      * @var int order_id
      */
-    function getMailHistory($order_id)
-    {
+    function getMailHistory($order_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $col = 'send_date, subject, template_id, send_id';
@@ -171,6 +166,5 @@
      * @param SC_FormParam $objFormParam
      */
-    function doSend(&$objFormParam)
-    {
+    function doSend(&$objFormParam) {
         $arrErr = $objFormParam->checkerror();
 
@@ -197,6 +191,5 @@
      * @param SC_FormParam $objFormParam
      */
-    function confirm(&$objFormParam)
-    {
+    function confirm(&$objFormParam) {
         $arrErr = $objFormParam->checkerror();
         // メールの送信
@@ -225,22 +218,14 @@
      * @param SC_FormParam $objFormParam
      */
-    function changeData(&$objFormParam)
-    {
-        $template_id = $objFormParam->getValue('template_id');
-
-        // 未選択時
-        if (strlen($template_id) === 0) {
-            $mailTemplates = null;
-        }
-        // 有効選択時
-        elseif (SC_Utils_Ex::sfIsInt($template_id)) {
-            $objMailtemplate = new SC_Helper_Mailtemplate_Ex();
-            $mailTemplates = $objMailtemplate->get($template_id);
-        }
-        // 不正選択時
-        else {
-            trigger_error('テンプレートの指定が不正。', E_USER_ERROR);
-        }
-
+    function changeData(&$objFormParam) {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+
+        if (!SC_Utils_Ex::sfIsInt($objFormParam->getValue('template_id'))) {
+            trigger_error('テンプレートが指定されていません。', E_USER_ERROR);
+        }
+
+        $where = 'template_id = ?';
+        $arrWhereVal = array($objFormParam->getValue('template_id'));
+        $mailTemplates = $objQuery->getRow('subject, header, footer', 'dtb_mailtemplate', $where, $arrWhereVal);
         if (empty($mailTemplates)) {
             foreach (array('subject','header','footer') as $key) {
@@ -259,6 +244,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -268,6 +252,5 @@
      * @param SC_FormParam $objFormParam
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         // 検索条件のパラメーターを初期化
         parent::lfInitParam($objFormParam);
Index: /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Status.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Status.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Status.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Order_Status extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Order_Status extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'order/status.tpl';
@@ -62,6 +60,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -73,6 +70,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objDb = new SC_Helper_DB_Ex();
@@ -89,5 +85,5 @@
 
         //支払方法の取得
-        $this->arrPayment = SC_Helper_Payment_Ex::getIDValueList();
+        $this->arrPayment = $objDb->sfGetIDValueList('dtb_payment', 'payment_id', 'payment_method');
 
         switch ($this->getMode()) {
@@ -126,6 +122,5 @@
      *  @param SC_FormParam
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('注文番号', 'order_id', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
         $objFormParam->addParam('変更前対応状況', 'status', INT_LEN, 'n', array('MAX_LENGTH_CHECK', 'NUM_CHECK'));
@@ -141,6 +136,5 @@
      *  @param SC_FormParam
      */
-    function lfCheckError(&$objFormParam)
-    {
+    function lfCheckError(&$objFormParam) {
         // 入力データを渡す。
         $arrRet = $objFormParam->getHashArray();
@@ -156,12 +150,10 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
 
     // 対応状況一覧の表示
-    function lfStatusDisp($status,$pageno)
-    {
+    function lfStatusDisp($status,$pageno) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -198,6 +190,5 @@
      * 対応状況の更新
      */
-    function lfStatusMove($statusId, $arrOrderId)
-    {
+    function lfStatusMove($statusId, $arrOrderId) {
         $objPurchase = new SC_Helper_Purchase_Ex();
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -224,6 +215,5 @@
      * 受注テーブルの論理削除
      */
-    function lfDelete($arrOrderId)
-    {
+    function lfDelete($arrOrderId) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -232,8 +222,16 @@
         }
 
-        $objPurchase = new SC_Helper_Purchase_Ex();
+        $arrUpdate = array(
+            'del_flg'      => 1,
+            'update_date'  => 'CURRENT_TIMESTAMP',
+        );
+
+        $objQuery->begin();
+
         foreach ($arrOrderId as $orderId) {
-            $objPurchase->cancelOrder($orderId, ORDER_CANCEL, true);
-        }
+            $objQuery->update('dtb_order', $arrUpdate, 'order_id = ?', array($orderId));
+        }
+
+        $objQuery->commit();
 
         $this->tpl_onload = "window.alert('選択項目を削除しました。');";
